Skip to main content
PATCH
/
v1
/
sso
/
connections
/
{connection_id}
Update Sso Connection
curl --request PATCH \
  --url https://api.example.com/v1/sso/connections/{connection_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "metadata_url": "<string>",
  "client_id": "<string>",
  "client_secret": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connection_id
string
required

Body

application/json
name
string | null
Required string length: 1 - 100
provider
enum<string> | null
Available options:
saml,
oidc,
google,
microsoft,
okta
metadata_url
string | null
client_id
string | null
client_secret
string | null
status
enum<string> | null
Available options:
active,
inactive

Response

Successful Response